/[svn]/ircd-hybrid-8/libltdl/Makefile.in
ViewVC logotype

Contents of /ircd-hybrid-8/libltdl/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1373 - (show annotations)
Fri Apr 27 07:32:34 2012 UTC (7 years, 5 months ago) by michael
File size: 46850 byte(s)
- autoconf 2.69 & automake 1.12

1 # Makefile.in generated by automake 1.12 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 #####
19
20
21 VPATH = @srcdir@
22 am__make_dryrun = \
23 { \
24 am__dry=no; \
25 case $$MAKEFLAGS in \
26 *\\[\ \ ]*) \
27 echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
28 | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
29 *) \
30 for am__flg in $$MAKEFLAGS; do \
31 case $$am__flg in \
32 *=*|--*) ;; \
33 *n*) am__dry=yes; break;; \
34 esac; \
35 done;; \
36 esac; \
37 test $$am__dry = yes; \
38 }
39 pkgdatadir = $(datadir)/@PACKAGE@
40 pkgincludedir = $(includedir)/@PACKAGE@
41 pkglibdir = $(libdir)/@PACKAGE@
42 pkglibexecdir = $(libexecdir)/@PACKAGE@
43 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
44 install_sh_DATA = $(install_sh) -c -m 644
45 install_sh_PROGRAM = $(install_sh) -c
46 install_sh_SCRIPT = $(install_sh) -c
47 INSTALL_HEADER = $(INSTALL_DATA)
48 transform = $(program_transform_name)
49 NORMAL_INSTALL = :
50 PRE_INSTALL = :
51 POST_INSTALL = :
52 NORMAL_UNINSTALL = :
53 PRE_UNINSTALL = :
54 POST_UNINSTALL = :
55 build_triplet = @build@
56 host_triplet = @host@
57 @INSTALL_LTDL_TRUE@am__append_1 = ltdl.h
58 @INSTALL_LTDL_TRUE@am__append_2 = libltdl.la
59 @CONVENIENCE_LTDL_TRUE@am__append_3 = libltdlc.la
60 subdir = libltdl
61 DIST_COMMON = README $(am__include_HEADERS_DIST) \
62 $(am__ltdlinclude_HEADERS_DIST) $(srcdir)/Makefile.am \
63 $(srcdir)/Makefile.in $(top_srcdir)/depcomp COPYING.LIB
64 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
65 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
66 $(top_srcdir)/configure.ac
67 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
68 $(ACLOCAL_M4)
69 mkinstalldirs = $(install_sh) -d
70 CONFIG_HEADER = $(top_builddir)/config.h
71 CONFIG_CLEAN_FILES =
72 CONFIG_CLEAN_VPATH_FILES =
73 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
74 am__vpath_adj = case $$p in \
75 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
76 *) f=$$p;; \
77 esac;
78 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
79 am__install_max = 40
80 am__nobase_strip_setup = \
81 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
82 am__nobase_strip = \
83 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
84 am__nobase_list = $(am__nobase_strip_setup); \
85 for p in $$list; do echo "$$p $$p"; done | \
86 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
87 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
88 if (++n[$$2] == $(am__install_max)) \
89 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
90 END { for (dir in files) print dir, files[dir] }'
91 am__base_list = \
92 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
93 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
94 am__uninstall_files_from_dir = { \
95 test -z "$$files" \
96 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
97 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
98 $(am__cd) "$$dir" && rm -f $$files; }; \
99 }
100 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)" \
101 "$(DESTDIR)$(ltdlincludedir)"
102 LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
103 dld_link_la_DEPENDENCIES =
104 am_dld_link_la_OBJECTS = dld_link.lo
105 dld_link_la_OBJECTS = $(am_dld_link_la_OBJECTS)
106 dld_link_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
107 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
108 $(dld_link_la_LDFLAGS) $(LDFLAGS) -o $@
109 am__DEPENDENCIES_1 =
110 dlopen_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
111 am_dlopen_la_OBJECTS = dlopen.lo
112 dlopen_la_OBJECTS = $(am_dlopen_la_OBJECTS)
113 dlopen_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
114 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
115 $(dlopen_la_LDFLAGS) $(LDFLAGS) -o $@
116 dyld_la_LIBADD =
117 am_dyld_la_OBJECTS = dyld.lo
118 dyld_la_OBJECTS = $(am_dyld_la_OBJECTS)
119 dyld_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
120 --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(dyld_la_LDFLAGS) \
121 $(LDFLAGS) -o $@
122 am_libltdl_la_OBJECTS = libltdl_la-preopen.lo libltdl_la-lt__alloc.lo \
123 libltdl_la-lt_dlloader.lo libltdl_la-lt_error.lo \
124 libltdl_la-ltdl.lo libltdl_la-slist.lo
125 libltdl_la_OBJECTS = $(am_libltdl_la_OBJECTS)
126 libltdl_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
127 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
128 $(libltdl_la_LDFLAGS) $(LDFLAGS) -o $@
129 @INSTALL_LTDL_TRUE@am_libltdl_la_rpath = -rpath $(libdir)
130 am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
131 am__objects_1 = libltdlc_la-preopen.lo libltdlc_la-lt__alloc.lo \
132 libltdlc_la-lt_dlloader.lo libltdlc_la-lt_error.lo \
133 libltdlc_la-ltdl.lo libltdlc_la-slist.lo
134 am_libltdlc_la_OBJECTS = $(am__objects_1)
135 libltdlc_la_OBJECTS = $(am_libltdlc_la_OBJECTS)
136 libltdlc_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
137 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
138 $(libltdlc_la_LDFLAGS) $(LDFLAGS) -o $@
139 @CONVENIENCE_LTDL_TRUE@am_libltdlc_la_rpath =
140 load_add_on_la_LIBADD =
141 am_load_add_on_la_OBJECTS = load_add_on.lo
142 load_add_on_la_OBJECTS = $(am_load_add_on_la_OBJECTS)
143 load_add_on_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
144 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
145 $(load_add_on_la_LDFLAGS) $(LDFLAGS) -o $@
146 loadlibrary_la_LIBADD =
147 am_loadlibrary_la_OBJECTS = loadlibrary.lo
148 loadlibrary_la_OBJECTS = $(am_loadlibrary_la_OBJECTS)
149 loadlibrary_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
150 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
151 $(loadlibrary_la_LDFLAGS) $(LDFLAGS) -o $@
152 shl_load_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
153 am_shl_load_la_OBJECTS = shl_load.lo
154 shl_load_la_OBJECTS = $(am_shl_load_la_OBJECTS)
155 shl_load_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
156 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
157 $(shl_load_la_LDFLAGS) $(LDFLAGS) -o $@
158 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
159 depcomp = $(SHELL) $(top_srcdir)/depcomp
160 am__depfiles_maybe = depfiles
161 am__mv = mv -f
162 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
163 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
164 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
165 --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
166 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
167 CCLD = $(CC)
168 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
169 --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
170 $(LDFLAGS) -o $@
171 SOURCES = $(dld_link_la_SOURCES) $(dlopen_la_SOURCES) \
172 $(dyld_la_SOURCES) $(libltdl_la_SOURCES) \
173 $(libltdlc_la_SOURCES) $(load_add_on_la_SOURCES) \
174 $(loadlibrary_la_SOURCES) $(shl_load_la_SOURCES)
175 DIST_SOURCES = $(dld_link_la_SOURCES) $(dlopen_la_SOURCES) \
176 $(dyld_la_SOURCES) $(libltdl_la_SOURCES) \
177 $(libltdlc_la_SOURCES) $(load_add_on_la_SOURCES) \
178 $(loadlibrary_la_SOURCES) $(shl_load_la_SOURCES)
179 am__can_run_installinfo = \
180 case $$AM_UPDATE_INFO_DIR in \
181 n|no|NO) false;; \
182 *) (install-info --version) >/dev/null 2>&1;; \
183 esac
184 am__include_HEADERS_DIST = ltdl.h
185 am__ltdlinclude_HEADERS_DIST = libltdl/lt_system.h libltdl/lt_error.h \
186 libltdl/lt_dlloader.h
187 HEADERS = $(include_HEADERS) $(ltdlinclude_HEADERS)
188 ETAGS = etags
189 CTAGS = ctags
190 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
191 ACLOCAL = @ACLOCAL@
192 AMTAR = @AMTAR@
193 AR = @AR@
194 ARGZ_H = @ARGZ_H@
195 AUTOCONF = @AUTOCONF@
196 AUTOHEADER = @AUTOHEADER@
197 AUTOMAKE = @AUTOMAKE@
198 AWK = @AWK@
199 CC = @CC@
200 CCDEPMODE = @CCDEPMODE@
201 CFLAGS = @CFLAGS@
202 CPP = @CPP@
203 CPPFLAGS = @CPPFLAGS@
204 CYGPATH_W = @CYGPATH_W@
205 DATADIR = @DATADIR@
206 DEFS = @DEFS@
207 DEPDIR = @DEPDIR@
208 DLLTOOL = @DLLTOOL@
209 DSYMUTIL = @DSYMUTIL@
210 DUMPBIN = @DUMPBIN@
211 ECHO_C = @ECHO_C@
212 ECHO_N = @ECHO_N@
213 ECHO_T = @ECHO_T@
214 EGREP = @EGREP@
215 EXEEXT = @EXEEXT@
216 FGREP = @FGREP@
217 GREP = @GREP@
218 INCLTDL = @INCLTDL@
219 INSTALL = @INSTALL@
220 INSTALL_DATA = @INSTALL_DATA@
221 INSTALL_PROGRAM = @INSTALL_PROGRAM@
222 INSTALL_SCRIPT = @INSTALL_SCRIPT@
223 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
224 LD = @LD@
225 LDFLAGS = @LDFLAGS@
226 LEX = @LEX@
227 LEXLIB = @LEXLIB@
228 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
229 LIBADD_DL = @LIBADD_DL@
230 LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
231 LIBADD_DLOPEN = @LIBADD_DLOPEN@
232 LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
233 LIBDIR = @LIBDIR@
234 LIBLTDL = @LIBLTDL@
235 LIBOBJS = @LIBOBJS@
236 LIBS = @LIBS@
237 LIBTOOL = @LIBTOOL@
238 LIPO = @LIPO@
239 LN_S = @LN_S@
240 LOCALSTATEDIR = @LOCALSTATEDIR@
241 LTDLDEPS = @LTDLDEPS@
242 LTDLINCL = @LTDLINCL@
243 LTDLOPEN = @LTDLOPEN@
244 LTLIBOBJS = @LTLIBOBJS@
245 LT_CONFIG_H = @LT_CONFIG_H@
246 LT_DLLOADERS = @LT_DLLOADERS@
247 LT_DLPREOPEN = @LT_DLPREOPEN@
248 MAINT = @MAINT@
249 MAKEINFO = @MAKEINFO@
250 MANIFEST_TOOL = @MANIFEST_TOOL@
251 MKDIR_P = @MKDIR_P@
252 NM = @NM@
253 NMEDIT = @NMEDIT@
254 OBJDUMP = @OBJDUMP@
255 OBJEXT = @OBJEXT@
256 OTOOL = @OTOOL@
257 OTOOL64 = @OTOOL64@
258 PACKAGE = @PACKAGE@
259 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
260 PACKAGE_NAME = @PACKAGE_NAME@
261 PACKAGE_STRING = @PACKAGE_STRING@
262 PACKAGE_TARNAME = @PACKAGE_TARNAME@
263 PACKAGE_URL = @PACKAGE_URL@
264 PACKAGE_VERSION = @PACKAGE_VERSION@
265 PATH_SEPARATOR = @PATH_SEPARATOR@
266 PREFIX = @PREFIX@
267 RANLIB = @RANLIB@
268 SED = @SED@
269 SET_MAKE = @SET_MAKE@
270 SHELL = @SHELL@
271 STRIP = @STRIP@
272 SYSCONFDIR = @SYSCONFDIR@
273 VERSION = @VERSION@
274 YACC = @YACC@
275 YFLAGS = @YFLAGS@
276 abs_builddir = @abs_builddir@
277 abs_srcdir = @abs_srcdir@
278 abs_top_builddir = @abs_top_builddir@
279 abs_top_srcdir = @abs_top_srcdir@
280 ac_ct_AR = @ac_ct_AR@
281 ac_ct_CC = @ac_ct_CC@
282 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
283 am__include = @am__include@
284 am__leading_dot = @am__leading_dot@
285 am__quote = @am__quote@
286 am__tar = @am__tar@
287 am__untar = @am__untar@
288 bindir = @bindir@
289 build = @build@
290 build_alias = @build_alias@
291 build_cpu = @build_cpu@
292 build_os = @build_os@
293 build_vendor = @build_vendor@
294 builddir = @builddir@
295 datadir = @datadir@
296 datarootdir = @datarootdir@
297 docdir = @docdir@
298 dvidir = @dvidir@
299 exec_prefix = @exec_prefix@
300 host = @host@
301 host_alias = @host_alias@
302 host_cpu = @host_cpu@
303 host_os = @host_os@
304 host_vendor = @host_vendor@
305 htmldir = @htmldir@
306 includedir = @includedir@
307 infodir = @infodir@
308 install_sh = @install_sh@
309 libdir = @libdir@
310 libexecdir = @libexecdir@
311 localedir = @localedir@
312 localstatedir = @localstatedir@
313 ltdl_LIBOBJS = @ltdl_LIBOBJS@
314 ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
315 mandir = @mandir@
316 mkdir_p = @mkdir_p@
317 oldincludedir = @oldincludedir@
318 pdfdir = @pdfdir@
319 prefix = @prefix@
320 program_transform_name = @program_transform_name@
321 psdir = @psdir@
322 sbindir = @sbindir@
323 sharedstatedir = @sharedstatedir@
324 srcdir = @srcdir@
325 sys_symbol_underscore = @sys_symbol_underscore@
326 sysconfdir = @sysconfdir@
327 target_alias = @target_alias@
328 top_build_prefix = @top_build_prefix@
329 top_builddir = @top_builddir@
330 top_srcdir = @top_srcdir@
331 ACLOCAL_AMFLAGS = -I m4
332 AUTOMAKE_OPTIONS = foreign
333
334 # -I$(srcdir) is needed for user that built libltdl with a sub-Automake
335 # (not as a sub-package!) using 'nostdinc':
336 AM_CPPFLAGS = -DLT_CONFIG_H='<$(LT_CONFIG_H)>' -DLTDL -I. -I$(srcdir) \
337 -Ilibltdl -I$(srcdir)/libltdl -I$(srcdir)/libltdl
338 AM_LDFLAGS = -no-undefined
339 BUILT_SOURCES = $(ARGZ_H)
340 include_HEADERS = $(am__append_1)
341 noinst_LTLIBRARIES = $(LT_DLLOADERS) $(am__append_3)
342 lib_LTLIBRARIES = $(am__append_2)
343 EXTRA_LTLIBRARIES = dlopen.la dld_link.la dyld.la load_add_on.la \
344 loadlibrary.la shl_load.la
345 EXTRA_DIST = lt__dirent.c lt__strl.c COPYING.LIB README argz_.h argz.c
346 CLEANFILES = libltdl.la libltdlc.la libdlloader.la $(ltdl_LIBOBJS) \
347 $(ltdl_LTLIBOBJS)
348 MOSTLYCLEANFILES = argz.h argz.h-t
349 LTDL_VERSION_INFO = -version-info 10:0:3
350 @INSTALL_LTDL_TRUE@ltdlincludedir = $(includedir)/libltdl
351 @INSTALL_LTDL_TRUE@ltdlinclude_HEADERS = libltdl/lt_system.h \
352 @INSTALL_LTDL_TRUE@ libltdl/lt_error.h \
353 @INSTALL_LTDL_TRUE@ libltdl/lt_dlloader.h
354
355 libltdl_la_SOURCES = libltdl/lt__alloc.h \
356 libltdl/lt__dirent.h \
357 libltdl/lt__glibc.h \
358 libltdl/lt__private.h \
359 libltdl/lt__strl.h \
360 libltdl/lt_dlloader.h \
361 libltdl/lt_error.h \
362 libltdl/lt_system.h \
363 libltdl/slist.h \
364 loaders/preopen.c \
365 lt__alloc.c \
366 lt_dlloader.c \
367 lt_error.c \
368 ltdl.c \
369 ltdl.h \
370 slist.c
371
372 libltdl_la_CPPFLAGS = -DLTDLOPEN=$(LTDLOPEN) $(AM_CPPFLAGS)
373 libltdl_la_LDFLAGS = $(AM_LDFLAGS) $(LTDL_VERSION_INFO) $(LT_DLPREOPEN)
374 libltdl_la_LIBADD = $(ltdl_LTLIBOBJS)
375 libltdl_la_DEPENDENCIES = $(LT_DLLOADERS) $(ltdl_LTLIBOBJS)
376 libltdlc_la_SOURCES = $(libltdl_la_SOURCES)
377 libltdlc_la_CPPFLAGS = -DLTDLOPEN=$(LTDLOPEN)c $(AM_CPPFLAGS)
378 libltdlc_la_LDFLAGS = $(AM_LDFLAGS) $(LT_DLPREOPEN)
379 libltdlc_la_LIBADD = $(libltdl_la_LIBADD)
380 libltdlc_la_DEPENDENCIES = $(libltdl_la_DEPENDENCIES)
381 dlopen_la_SOURCES = loaders/dlopen.c
382 dlopen_la_LDFLAGS = -module -avoid-version
383 dlopen_la_LIBADD = $(LIBADD_DLOPEN)
384 dld_link_la_SOURCES = loaders/dld_link.c
385 dld_link_la_LDFLAGS = -module -avoid-version
386 dld_link_la_LIBADD = -ldld
387 dyld_la_SOURCES = loaders/dyld.c
388 dyld_la_LDFLAGS = -module -avoid-version
389 load_add_on_la_SOURCES = loaders/load_add_on.c
390 load_add_on_la_LDFLAGS = -module -avoid-version
391 loadlibrary_la_SOURCES = loaders/loadlibrary.c
392 loadlibrary_la_LDFLAGS = -module -avoid-version
393 shl_load_la_SOURCES = loaders/shl_load.c
394 shl_load_la_LDFLAGS = -module -avoid-version
395 shl_load_la_LIBADD = $(LIBADD_SHL_LOAD)
396 all: $(BUILT_SOURCES)
397 $(MAKE) $(AM_MAKEFLAGS) all-am
398
399 .SUFFIXES:
400 .SUFFIXES: .c .lo .o .obj
401 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
402 @for dep in $?; do \
403 case '$(am__configure_deps)' in \
404 *$$dep*) \
405 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
406 && { if test -f $@; then exit 0; else break; fi; }; \
407 exit 1;; \
408 esac; \
409 done; \
410 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign libltdl/Makefile'; \
411 $(am__cd) $(top_srcdir) && \
412 $(AUTOMAKE) --foreign libltdl/Makefile
413 .PRECIOUS: Makefile
414 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
415 @case '$?' in \
416 *config.status*) \
417 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
418 *) \
419 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
420 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
421 esac;
422
423 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
424 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
425
426 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
427 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
428 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
429 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
430 $(am__aclocal_m4_deps):
431 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
432 @$(NORMAL_INSTALL)
433 @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
434 list2=; for p in $$list; do \
435 if test -f $$p; then \
436 list2="$$list2 $$p"; \
437 else :; fi; \
438 done; \
439 test -z "$$list2" || { \
440 echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
441 $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
442 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
443 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
444 }
445
446 uninstall-libLTLIBRARIES:
447 @$(NORMAL_UNINSTALL)
448 @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
449 for p in $$list; do \
450 $(am__strip_dir) \
451 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
452 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
453 done
454
455 clean-libLTLIBRARIES:
456 -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
457 @list='$(lib_LTLIBRARIES)'; \
458 locs=`for p in $$list; do echo $$p; done | \
459 sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
460 sort -u`; \
461 test -z "$$locs" || { \
462 echo rm -f $${locs}; \
463 rm -f $${locs}; \
464 }
465
466 clean-noinstLTLIBRARIES:
467 -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
468 @list='$(noinst_LTLIBRARIES)'; \
469 locs=`for p in $$list; do echo $$p; done | \
470 sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
471 sort -u`; \
472 test -z "$$locs" || { \
473 echo rm -f $${locs}; \
474 rm -f $${locs}; \
475 }
476 dld_link.la: $(dld_link_la_OBJECTS) $(dld_link_la_DEPENDENCIES) $(EXTRA_dld_link_la_DEPENDENCIES)
477 $(dld_link_la_LINK) $(dld_link_la_OBJECTS) $(dld_link_la_LIBADD) $(LIBS)
478 dlopen.la: $(dlopen_la_OBJECTS) $(dlopen_la_DEPENDENCIES) $(EXTRA_dlopen_la_DEPENDENCIES)
479 $(dlopen_la_LINK) $(dlopen_la_OBJECTS) $(dlopen_la_LIBADD) $(LIBS)
480 dyld.la: $(dyld_la_OBJECTS) $(dyld_la_DEPENDENCIES) $(EXTRA_dyld_la_DEPENDENCIES)
481 $(dyld_la_LINK) $(dyld_la_OBJECTS) $(dyld_la_LIBADD) $(LIBS)
482 libltdl.la: $(libltdl_la_OBJECTS) $(libltdl_la_DEPENDENCIES) $(EXTRA_libltdl_la_DEPENDENCIES)
483 $(libltdl_la_LINK) $(am_libltdl_la_rpath) $(libltdl_la_OBJECTS) $(libltdl_la_LIBADD) $(LIBS)
484 libltdlc.la: $(libltdlc_la_OBJECTS) $(libltdlc_la_DEPENDENCIES) $(EXTRA_libltdlc_la_DEPENDENCIES)
485 $(libltdlc_la_LINK) $(am_libltdlc_la_rpath) $(libltdlc_la_OBJECTS) $(libltdlc_la_LIBADD) $(LIBS)
486 load_add_on.la: $(load_add_on_la_OBJECTS) $(load_add_on_la_DEPENDENCIES) $(EXTRA_load_add_on_la_DEPENDENCIES)
487 $(load_add_on_la_LINK) $(load_add_on_la_OBJECTS) $(load_add_on_la_LIBADD) $(LIBS)
488 loadlibrary.la: $(loadlibrary_la_OBJECTS) $(loadlibrary_la_DEPENDENCIES) $(EXTRA_loadlibrary_la_DEPENDENCIES)
489 $(loadlibrary_la_LINK) $(loadlibrary_la_OBJECTS) $(loadlibrary_la_LIBADD) $(LIBS)
490 shl_load.la: $(shl_load_la_OBJECTS) $(shl_load_la_DEPENDENCIES) $(EXTRA_shl_load_la_DEPENDENCIES)
491 $(shl_load_la_LINK) $(shl_load_la_OBJECTS) $(shl_load_la_LIBADD) $(LIBS)
492
493 mostlyclean-compile:
494 -rm -f *.$(OBJEXT)
495
496 distclean-compile:
497 -rm -f *.tab.c
498
499 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dld_link.Plo@am__quote@
500 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dlopen.Plo@am__quote@
501 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dyld.Plo@am__quote@
502 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-lt__alloc.Plo@am__quote@
503 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-lt_dlloader.Plo@am__quote@
504 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-lt_error.Plo@am__quote@
505 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-ltdl.Plo@am__quote@
506 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-preopen.Plo@am__quote@
507 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdl_la-slist.Plo@am__quote@
508 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-lt__alloc.Plo@am__quote@
509 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-lt_dlloader.Plo@am__quote@
510 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-lt_error.Plo@am__quote@
511 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-ltdl.Plo@am__quote@
512 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-preopen.Plo@am__quote@
513 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libltdlc_la-slist.Plo@am__quote@
514 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/load_add_on.Plo@am__quote@
515 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/loadlibrary.Plo@am__quote@
516 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/shl_load.Plo@am__quote@
517
518 .c.o:
519 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
520 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
521 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
522 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
523 @am__fastdepCC_FALSE@ $(COMPILE) -c $<
524
525 .c.obj:
526 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
527 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
528 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
529 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
530 @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
531
532 .c.lo:
533 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
534 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
535 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
536 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
537 @am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ $<
538
539 dld_link.lo: loaders/dld_link.c
540 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dld_link.lo -MD -MP -MF $(DEPDIR)/dld_link.Tpo -c -o dld_link.lo `test -f 'loaders/dld_link.c' || echo '$(srcdir)/'`loaders/dld_link.c
541 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/dld_link.Tpo $(DEPDIR)/dld_link.Plo
542 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/dld_link.c' object='dld_link.lo' libtool=yes @AMDEPBACKSLASH@
543 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
544 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dld_link.lo `test -f 'loaders/dld_link.c' || echo '$(srcdir)/'`loaders/dld_link.c
545
546 dlopen.lo: loaders/dlopen.c
547 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dlopen.lo -MD -MP -MF $(DEPDIR)/dlopen.Tpo -c -o dlopen.lo `test -f 'loaders/dlopen.c' || echo '$(srcdir)/'`loaders/dlopen.c
548 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/dlopen.Tpo $(DEPDIR)/dlopen.Plo
549 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/dlopen.c' object='dlopen.lo' libtool=yes @AMDEPBACKSLASH@
550 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
551 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dlopen.lo `test -f 'loaders/dlopen.c' || echo '$(srcdir)/'`loaders/dlopen.c
552
553 dyld.lo: loaders/dyld.c
554 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dyld.lo -MD -MP -MF $(DEPDIR)/dyld.Tpo -c -o dyld.lo `test -f 'loaders/dyld.c' || echo '$(srcdir)/'`loaders/dyld.c
555 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/dyld.Tpo $(DEPDIR)/dyld.Plo
556 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/dyld.c' object='dyld.lo' libtool=yes @AMDEPBACKSLASH@
557 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
558 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dyld.lo `test -f 'loaders/dyld.c' || echo '$(srcdir)/'`loaders/dyld.c
559
560 libltdl_la-preopen.lo: loaders/preopen.c
561 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-preopen.lo -MD -MP -MF $(DEPDIR)/libltdl_la-preopen.Tpo -c -o libltdl_la-preopen.lo `test -f 'loaders/preopen.c' || echo '$(srcdir)/'`loaders/preopen.c
562 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdl_la-preopen.Tpo $(DEPDIR)/libltdl_la-preopen.Plo
563 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/preopen.c' object='libltdl_la-preopen.lo' libtool=yes @AMDEPBACKSLASH@
564 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
565 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-preopen.lo `test -f 'loaders/preopen.c' || echo '$(srcdir)/'`loaders/preopen.c
566
567 libltdl_la-lt__alloc.lo: lt__alloc.c
568 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-lt__alloc.lo -MD -MP -MF $(DEPDIR)/libltdl_la-lt__alloc.Tpo -c -o libltdl_la-lt__alloc.lo `test -f 'lt__alloc.c' || echo '$(srcdir)/'`lt__alloc.c
569 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdl_la-lt__alloc.Tpo $(DEPDIR)/libltdl_la-lt__alloc.Plo
570 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='lt__alloc.c' object='libltdl_la-lt__alloc.lo' libtool=yes @AMDEPBACKSLASH@
571 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
572 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-lt__alloc.lo `test -f 'lt__alloc.c' || echo '$(srcdir)/'`lt__alloc.c
573
574 libltdl_la-lt_dlloader.lo: lt_dlloader.c
575 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-lt_dlloader.lo -MD -MP -MF $(DEPDIR)/libltdl_la-lt_dlloader.Tpo -c -o libltdl_la-lt_dlloader.lo `test -f 'lt_dlloader.c' || echo '$(srcdir)/'`lt_dlloader.c
576 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdl_la-lt_dlloader.Tpo $(DEPDIR)/libltdl_la-lt_dlloader.Plo
577 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='lt_dlloader.c' object='libltdl_la-lt_dlloader.lo' libtool=yes @AMDEPBACKSLASH@
578 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
579 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-lt_dlloader.lo `test -f 'lt_dlloader.c' || echo '$(srcdir)/'`lt_dlloader.c
580
581 libltdl_la-lt_error.lo: lt_error.c
582 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-lt_error.lo -MD -MP -MF $(DEPDIR)/libltdl_la-lt_error.Tpo -c -o libltdl_la-lt_error.lo `test -f 'lt_error.c' || echo '$(srcdir)/'`lt_error.c
583 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdl_la-lt_error.Tpo $(DEPDIR)/libltdl_la-lt_error.Plo
584 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='lt_error.c' object='libltdl_la-lt_error.lo' libtool=yes @AMDEPBACKSLASH@
585 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
586 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-lt_error.lo `test -f 'lt_error.c' || echo '$(srcdir)/'`lt_error.c
587
588 libltdl_la-ltdl.lo: ltdl.c
589 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-ltdl.lo -MD -MP -MF $(DEPDIR)/libltdl_la-ltdl.Tpo -c -o libltdl_la-ltdl.lo `test -f 'ltdl.c' || echo '$(srcdir)/'`ltdl.c
590 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdl_la-ltdl.Tpo $(DEPDIR)/libltdl_la-ltdl.Plo
591 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='ltdl.c' object='libltdl_la-ltdl.lo' libtool=yes @AMDEPBACKSLASH@
592 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
593 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-ltdl.lo `test -f 'ltdl.c' || echo '$(srcdir)/'`ltdl.c
594
595 libltdl_la-slist.lo: slist.c
596 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdl_la-slist.lo -MD -MP -MF $(DEPDIR)/libltdl_la-slist.Tpo -c -o libltdl_la-slist.lo `test -f 'slist.c' || echo '$(srcdir)/'`slist.c
597 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdl_la-slist.Tpo $(DEPDIR)/libltdl_la-slist.Plo
598 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='slist.c' object='libltdl_la-slist.lo' libtool=yes @AMDEPBACKSLASH@
599 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
600 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdl_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdl_la-slist.lo `test -f 'slist.c' || echo '$(srcdir)/'`slist.c
601
602 libltdlc_la-preopen.lo: loaders/preopen.c
603 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-preopen.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-preopen.Tpo -c -o libltdlc_la-preopen.lo `test -f 'loaders/preopen.c' || echo '$(srcdir)/'`loaders/preopen.c
604 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdlc_la-preopen.Tpo $(DEPDIR)/libltdlc_la-preopen.Plo
605 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/preopen.c' object='libltdlc_la-preopen.lo' libtool=yes @AMDEPBACKSLASH@
606 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
607 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-preopen.lo `test -f 'loaders/preopen.c' || echo '$(srcdir)/'`loaders/preopen.c
608
609 libltdlc_la-lt__alloc.lo: lt__alloc.c
610 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-lt__alloc.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-lt__alloc.Tpo -c -o libltdlc_la-lt__alloc.lo `test -f 'lt__alloc.c' || echo '$(srcdir)/'`lt__alloc.c
611 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdlc_la-lt__alloc.Tpo $(DEPDIR)/libltdlc_la-lt__alloc.Plo
612 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='lt__alloc.c' object='libltdlc_la-lt__alloc.lo' libtool=yes @AMDEPBACKSLASH@
613 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
614 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-lt__alloc.lo `test -f 'lt__alloc.c' || echo '$(srcdir)/'`lt__alloc.c
615
616 libltdlc_la-lt_dlloader.lo: lt_dlloader.c
617 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-lt_dlloader.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-lt_dlloader.Tpo -c -o libltdlc_la-lt_dlloader.lo `test -f 'lt_dlloader.c' || echo '$(srcdir)/'`lt_dlloader.c
618 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdlc_la-lt_dlloader.Tpo $(DEPDIR)/libltdlc_la-lt_dlloader.Plo
619 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='lt_dlloader.c' object='libltdlc_la-lt_dlloader.lo' libtool=yes @AMDEPBACKSLASH@
620 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
621 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-lt_dlloader.lo `test -f 'lt_dlloader.c' || echo '$(srcdir)/'`lt_dlloader.c
622
623 libltdlc_la-lt_error.lo: lt_error.c
624 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-lt_error.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-lt_error.Tpo -c -o libltdlc_la-lt_error.lo `test -f 'lt_error.c' || echo '$(srcdir)/'`lt_error.c
625 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdlc_la-lt_error.Tpo $(DEPDIR)/libltdlc_la-lt_error.Plo
626 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='lt_error.c' object='libltdlc_la-lt_error.lo' libtool=yes @AMDEPBACKSLASH@
627 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
628 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-lt_error.lo `test -f 'lt_error.c' || echo '$(srcdir)/'`lt_error.c
629
630 libltdlc_la-ltdl.lo: ltdl.c
631 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-ltdl.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-ltdl.Tpo -c -o libltdlc_la-ltdl.lo `test -f 'ltdl.c' || echo '$(srcdir)/'`ltdl.c
632 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdlc_la-ltdl.Tpo $(DEPDIR)/libltdlc_la-ltdl.Plo
633 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='ltdl.c' object='libltdlc_la-ltdl.lo' libtool=yes @AMDEPBACKSLASH@
634 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
635 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-ltdl.lo `test -f 'ltdl.c' || echo '$(srcdir)/'`ltdl.c
636
637 libltdlc_la-slist.lo: slist.c
638 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libltdlc_la-slist.lo -MD -MP -MF $(DEPDIR)/libltdlc_la-slist.Tpo -c -o libltdlc_la-slist.lo `test -f 'slist.c' || echo '$(srcdir)/'`slist.c
639 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/libltdlc_la-slist.Tpo $(DEPDIR)/libltdlc_la-slist.Plo
640 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='slist.c' object='libltdlc_la-slist.lo' libtool=yes @AMDEPBACKSLASH@
641 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
642 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libltdlc_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libltdlc_la-slist.lo `test -f 'slist.c' || echo '$(srcdir)/'`slist.c
643
644 load_add_on.lo: loaders/load_add_on.c
645 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT load_add_on.lo -MD -MP -MF $(DEPDIR)/load_add_on.Tpo -c -o load_add_on.lo `test -f 'loaders/load_add_on.c' || echo '$(srcdir)/'`loaders/load_add_on.c
646 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/load_add_on.Tpo $(DEPDIR)/load_add_on.Plo
647 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/load_add_on.c' object='load_add_on.lo' libtool=yes @AMDEPBACKSLASH@
648 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
649 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o load_add_on.lo `test -f 'loaders/load_add_on.c' || echo '$(srcdir)/'`loaders/load_add_on.c
650
651 loadlibrary.lo: loaders/loadlibrary.c
652 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT loadlibrary.lo -MD -MP -MF $(DEPDIR)/loadlibrary.Tpo -c -o loadlibrary.lo `test -f 'loaders/loadlibrary.c' || echo '$(srcdir)/'`loaders/loadlibrary.c
653 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/loadlibrary.Tpo $(DEPDIR)/loadlibrary.Plo
654 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/loadlibrary.c' object='loadlibrary.lo' libtool=yes @AMDEPBACKSLASH@
655 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
656 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o loadlibrary.lo `test -f 'loaders/loadlibrary.c' || echo '$(srcdir)/'`loaders/loadlibrary.c
657
658 shl_load.lo: loaders/shl_load.c
659 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT shl_load.lo -MD -MP -MF $(DEPDIR)/shl_load.Tpo -c -o shl_load.lo `test -f 'loaders/shl_load.c' || echo '$(srcdir)/'`loaders/shl_load.c
660 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/shl_load.Tpo $(DEPDIR)/shl_load.Plo
661 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='loaders/shl_load.c' object='shl_load.lo' libtool=yes @AMDEPBACKSLASH@
662 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
663 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o shl_load.lo `test -f 'loaders/shl_load.c' || echo '$(srcdir)/'`loaders/shl_load.c
664
665 mostlyclean-libtool:
666 -rm -f *.lo
667
668 clean-libtool:
669 -rm -rf .libs _libs
670 install-includeHEADERS: $(include_HEADERS)
671 @$(NORMAL_INSTALL)
672 @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
673 if test -n "$$list"; then \
674 echo " $(MKDIR_P) '$(DESTDIR)$(includedir)'"; \
675 $(MKDIR_P) "$(DESTDIR)$(includedir)" || exit 1; \
676 fi; \
677 for p in $$list; do \
678 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
679 echo "$$d$$p"; \
680 done | $(am__base_list) | \
681 while read files; do \
682 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
683 $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
684 done
685
686 uninstall-includeHEADERS:
687 @$(NORMAL_UNINSTALL)
688 @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
689 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
690 dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
691 install-ltdlincludeHEADERS: $(ltdlinclude_HEADERS)
692 @$(NORMAL_INSTALL)
693 @list='$(ltdlinclude_HEADERS)'; test -n "$(ltdlincludedir)" || list=; \
694 if test -n "$$list"; then \
695 echo " $(MKDIR_P) '$(DESTDIR)$(ltdlincludedir)'"; \
696 $(MKDIR_P) "$(DESTDIR)$(ltdlincludedir)" || exit 1; \
697 fi; \
698 for p in $$list; do \
699 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
700 echo "$$d$$p"; \
701 done | $(am__base_list) | \
702 while read files; do \
703 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(ltdlincludedir)'"; \
704 $(INSTALL_HEADER) $$files "$(DESTDIR)$(ltdlincludedir)" || exit $$?; \
705 done
706
707 uninstall-ltdlincludeHEADERS:
708 @$(NORMAL_UNINSTALL)
709 @list='$(ltdlinclude_HEADERS)'; test -n "$(ltdlincludedir)" || list=; \
710 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
711 dir='$(DESTDIR)$(ltdlincludedir)'; $(am__uninstall_files_from_dir)
712
713 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
714 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
715 unique=`for i in $$list; do \
716 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
717 done | \
718 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
719 END { if (nonempty) { for (i in files) print i; }; }'`; \
720 mkid -fID $$unique
721 tags: TAGS
722
723 TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
724 $(TAGS_FILES) $(LISP)
725 set x; \
726 here=`pwd`; \
727 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
728 unique=`for i in $$list; do \
729 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
730 done | \
731 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
732 END { if (nonempty) { for (i in files) print i; }; }'`; \
733 shift; \
734 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
735 test -n "$$unique" || unique=$$empty_fix; \
736 if test $$# -gt 0; then \
737 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
738 "$$@" $$unique; \
739 else \
740 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
741 $$unique; \
742 fi; \
743 fi
744 ctags: CTAGS
745 CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
746 $(TAGS_FILES) $(LISP)
747 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
748 unique=`for i in $$list; do \
749 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
750 done | \
751 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
752 END { if (nonempty) { for (i in files) print i; }; }'`; \
753 test -z "$(CTAGS_ARGS)$$unique" \
754 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
755 $$unique
756
757 GTAGS:
758 here=`$(am__cd) $(top_builddir) && pwd` \
759 && $(am__cd) $(top_srcdir) \
760 && gtags -i $(GTAGS_ARGS) "$$here"
761
762 cscopelist: $(HEADERS) $(SOURCES) $(LISP)
763 list='$(SOURCES) $(HEADERS) $(LISP)'; \
764 case "$(srcdir)" in \
765 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
766 *) sdir=$(subdir)/$(srcdir) ;; \
767 esac; \
768 for i in $$list; do \
769 if test -f "$$i"; then \
770 echo "$(subdir)/$$i"; \
771 else \
772 echo "$$sdir/$$i"; \
773 fi; \
774 done >> $(top_builddir)/cscope.files
775
776 distclean-tags:
777 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
778
779 distdir: $(DISTFILES)
780 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
781 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
782 list='$(DISTFILES)'; \
783 dist_files=`for file in $$list; do echo $$file; done | \
784 sed -e "s|^$$srcdirstrip/||;t" \
785 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
786 case $$dist_files in \
787 */*) $(MKDIR_P) `echo "$$dist_files" | \
788 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
789 sort -u` ;; \
790 esac; \
791 for file in $$dist_files; do \
792 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
793 if test -d $$d/$$file; then \
794 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
795 if test -d "$(distdir)/$$file"; then \
796 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
797 fi; \
798 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
799 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
800 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
801 fi; \
802 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
803 else \
804 test -f "$(distdir)/$$file" \
805 || cp -p $$d/$$file "$(distdir)/$$file" \
806 || exit 1; \
807 fi; \
808 done
809 check-am: all-am
810 check: $(BUILT_SOURCES)
811 $(MAKE) $(AM_MAKEFLAGS) check-am
812 all-am: Makefile $(LTLIBRARIES) $(HEADERS)
813 installdirs:
814 for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)" "$(DESTDIR)$(ltdlincludedir)"; do \
815 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
816 done
817 install: $(BUILT_SOURCES)
818 $(MAKE) $(AM_MAKEFLAGS) install-am
819 install-exec: install-exec-am
820 install-data: install-data-am
821 uninstall: uninstall-am
822
823 install-am: all-am
824 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
825
826 installcheck: installcheck-am
827 install-strip:
828 if test -z '$(STRIP)'; then \
829 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
830 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
831 install; \
832 else \
833 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
834 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
835 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
836 fi
837 mostlyclean-generic:
838 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
839
840 clean-generic:
841 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
842
843 distclean-generic:
844 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
845 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
846
847 maintainer-clean-generic:
848 @echo "This command is intended for maintainers to use"
849 @echo "it deletes files that may require special tools to rebuild."
850 -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
851 clean: clean-am
852
853 clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
854 clean-noinstLTLIBRARIES mostlyclean-am
855
856 distclean: distclean-am
857 -rm -rf ./$(DEPDIR)
858 -rm -f Makefile
859 distclean-am: clean-am distclean-compile distclean-generic \
860 distclean-tags
861
862 dvi: dvi-am
863
864 dvi-am:
865
866 html: html-am
867
868 html-am:
869
870 info: info-am
871
872 info-am:
873
874 install-data-am: install-includeHEADERS install-ltdlincludeHEADERS
875
876 install-dvi: install-dvi-am
877
878 install-dvi-am:
879
880 install-exec-am: install-libLTLIBRARIES
881
882 install-html: install-html-am
883
884 install-html-am:
885
886 install-info: install-info-am
887
888 install-info-am:
889
890 install-man:
891
892 install-pdf: install-pdf-am
893
894 install-pdf-am:
895
896 install-ps: install-ps-am
897
898 install-ps-am:
899
900 installcheck-am:
901
902 maintainer-clean: maintainer-clean-am
903 -rm -rf ./$(DEPDIR)
904 -rm -f Makefile
905 maintainer-clean-am: distclean-am maintainer-clean-generic
906
907 mostlyclean: mostlyclean-am
908
909 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
910 mostlyclean-libtool
911
912 pdf: pdf-am
913
914 pdf-am:
915
916 ps: ps-am
917
918 ps-am:
919
920 uninstall-am: uninstall-includeHEADERS uninstall-libLTLIBRARIES \
921 uninstall-ltdlincludeHEADERS
922
923 .MAKE: all check install install-am install-strip
924
925 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
926 clean-libLTLIBRARIES clean-libtool clean-noinstLTLIBRARIES \
927 cscopelist ctags distclean distclean-compile distclean-generic \
928 distclean-libtool distclean-tags distdir dvi dvi-am html \
929 html-am info info-am install install-am install-data \
930 install-data-am install-dvi install-dvi-am install-exec \
931 install-exec-am install-html install-html-am \
932 install-includeHEADERS install-info install-info-am \
933 install-libLTLIBRARIES install-ltdlincludeHEADERS install-man \
934 install-pdf install-pdf-am install-ps install-ps-am \
935 install-strip installcheck installcheck-am installdirs \
936 maintainer-clean maintainer-clean-generic mostlyclean \
937 mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
938 pdf pdf-am ps ps-am tags uninstall uninstall-am \
939 uninstall-includeHEADERS uninstall-libLTLIBRARIES \
940 uninstall-ltdlincludeHEADERS
941
942
943 # We need the following in order to create an <argz.h> when the system
944 # doesn't have one that works with the given compiler.
945 all-local $(lib_OBJECTS): $(ARGZ_H)
946 argz.h: argz_.h
947 cp $(srcdir)/argz_.h $@-t
948 mv $@-t $@
949
950 # Tell versions [3.59,3.63) of GNU make to not export all variables.
951 # Otherwise a system limit (for SysV at least) may be exceeded.
952 .NOEXPORT:

svnadmin@ircd-hybrid.org
ViewVC Help
Powered by ViewVC 1.1.26